Bug 216641 - www/trafficserver: fails to build with clang 4.0
Summary: www/trafficserver: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-31 00:02 UTC by Jan Beich
Modified: 2017-03-24 15:26 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gaod)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-31 00:02:26 UTC
ClusterCache.cc:440:26: error: ordered comparison between pointer and zero ('Continuation *' and 'int')
    ink_release_assert(c > 0);
                       ~ ^ ~
../../lib/ts/ink_assert.h:54:47: note: expanded from macro 'ink_release_assert'
#define ink_release_assert(EX) ((void)(likely(EX) ? (void)0 : _ink_assert(#EX, __FILE__, __LINE__)))
                                              ^~
../../lib/ts/ink_apidefs.h:34:39: note: expanded from macro 'likely'
#define likely(x) __builtin_expect(!!(x), 1)
                                      ^
ClusterCache.cc:503:26: error: ordered comparison between pointer and zero ('Continuation *' and 'int')
    ink_release_assert(c > 0);
                       ~ ^ ~
../../lib/ts/ink_assert.h:54:47: note: expanded from macro 'ink_release_assert'
#define ink_release_assert(EX) ((void)(likely(EX) ? (void)0 : _ink_assert(#EX, __FILE__, __LINE__)))
                                              ^~
../../lib/ts/ink_apidefs.h:34:39: note: expanded from macro 'likely'
#define likely(x) __builtin_expect(!!(x), 1)
                                      ^

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/trafficserver-6.2.0.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 commit-hook freebsd_committer 2017-03-24 15:26:31 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Mar 24 15:26:08 UTC 2017
New revision: 436819
URL: https://svnweb.freebsd.org/changeset/ports/436819

Log:
  - Fix build with clang 4.0

  PR:		216641
  Approved by:	portmgr blanket

Changes:
  head/www/trafficserver/files/patch-cmd_traffic__manager_MgmtHandlers.cc
  head/www/trafficserver/files/patch-iocore_cluster_ClusterCache.cc
  head/www/trafficserver/files/patch-mgmt_utils_MgmtSocket.cc
  head/www/trafficserver/files/patch-proxy_Main.cc
  head/www/trafficserver/files/patch-proxy_http_remap_RemapPluginInfo.cc